| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions

# Tp::ManagerFile Class Reference

The ManagerFile class provides an easy way to read telepathy manager files according to http://telepathy.freedesktop.org/spec.html. More...

`#include <TelepathyQt4/ManagerFile>`

List of all members.

## Public Member Functions

- ManagerFile ()
- ManagerFile (const ManagerFile &other)
- ManagerFile (const QString &cmName)
- ~ManagerFile ()
- ManagerFile & operator= (const ManagerFile &other)
- QString cmName () const
- bool isValid () const
- QStringList protocols () const
- ParamSpecList parameters (const QString &protocol) const
- QString vcardField (const QString &protocol) const
- QString englishName (const QString &protocol) const
- QString iconName (const QString &protocol) const
- RequestableChannelClassList requestableChannelClasses (const QString &protocol) const

## Static Public Member Functions

- static QVariant::Type variantTypeFromDBusSignature (const QString &dbusSignature)
- static QVariant parseValueWithDBusSignature (const QString &value, const QString &dbusSignature)

## Detailed Description

The ManagerFile class provides an easy way to read telepathy manager files according to http://telepathy.freedesktop.org/spec.html.

## Constructor & Destructor Documentation

Tp::ManagerFile::ManagerFile | ( |  | ) |

Create a ManagerFile object used to read .manager compliant files.

Tp::ManagerFile::ManagerFile | ( | const ManagerFile & | other | ) |

Create a ManagerFile object used to read .manager compliant files.

Tp::ManagerFile::ManagerFile | ( | const QString & | cmName | ) |

Create a ManagerFile object used to read .manager compliant files.

Parameters:

  | cmName | Name of the connection manager to read the file for.

Tp::ManagerFile::~ManagerFile | ( |  | ) |

Class destructor.

## Member Function Documentation

ManagerFile & Tp::ManagerFile::operator= | ( | const ManagerFile & | other | ) |

QString Tp::ManagerFile::cmName | ( |  | ) | const

bool Tp::ManagerFile::isValid | ( |  | ) | const

Check whether or not a ManagerFile object is valid. If the file for the specified connection manager cannot be found it will be considered invalid.

Returns:
  true if valid, false otherwise.

QStringList Tp::ManagerFile::protocols | ( |  | ) | const

Return a list of all protocols defined in the manager file.

Returns:
  List of all protocols defined in the file.

ParamSpecList Tp::ManagerFile::parameters | ( | const QString & | protocol | ) | const

Return a list of parameters for the given protocol.

Parameters:

  | protocol | Name of the protocol to look for.

Returns:
  List of ParamSpec of a specific protocol defined in the file, or an empty list if the protocol is not defined.

QString Tp::ManagerFile::vcardField | ( | const QString & | protocol | ) | const

Return the name of the most common vCard field used for the given protocol's contact identifiers, normalized to lower case.

Parameters:

  | protocol | Name of the protocol to look for.

Returns:
  The most common vCard field used for the given protocol's contact identifiers, or an empty string if there is no such field or the protocol is not defined.

QString Tp::ManagerFile::englishName | ( | const QString & | protocol | ) | const

Return the English-language name of the given protocol, such as "AIM" or "Yahoo!".

The name can be used as a fallback if an application doesn't have a localized name for the protocol.

If the manager file doesn't specify the english name, it is inferred from the protocol name, such that for example "google-talk" becomes "Google Talk", but "local-xmpp" becomes "Local Xmpp".

Parameters:

  | protocol | Name of the protocol to look for.

Returns:
  An English-language name for the given protocol.

QString Tp::ManagerFile::iconName | ( | const QString & | protocol | ) | const

Return the name of an icon for the given protocol in the system's icon theme, such as "im-msn".

If the manager file doesn't specify the icon name, "im-<protocolname>" is assumed.

Parameters:

  | protocol | Name of the protocol to look for.

Returns:
  The likely name of an icon for the given protocol.

RequestableChannelClassList Tp::ManagerFile::requestableChannelClasses | ( | const QString & | protocol | ) | const

Return a list of channel classes which might be requestable from a connection to the given protocol.

Parameters:

  | protocol | Name of the protocol to look for.

Returns:
  A list of channel classes which might be requestable from a connection to the given protocol or a default constructed RequestableChannelClassList instance if the protocol is not defined.

QVariant::Type Tp::ManagerFile::variantTypeFromDBusSignature | ( | const QString & | dbusSignature | ) | `[static]`

QVariant Tp::ManagerFile::parseValueWithDBusSignature | ( | const QString & | value,
|  | const QString & | dbusSignature |
| ) |  |  | `[static]`